config_sample_page = {}

function config_sample_page.generatePage(Config, PageData)
   
   return ''..
   '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">\n'..
   '<html>\n'..
   '<head>\n'..PageData.Title..'\n'..
   '<link rel="stylesheet" type="text/css" href="fogcache_static/treeview.css" />\n'..
   '<link rel="stylesheet" type="text/css" href="fogcache_static/article.css" />\n'..
   '<link rel="stylesheet" type="text/css" href="fogcache_static/style.css" />\n'..
   '<link rel="stylesheet" type="text/css" href="fogcache_static/prettify.css" />\n'..
   '<link rel="stylesheet" type="text/css" href="fogcache_static/colorboxmodal/colorbox.css" />\n'..
   '<link rel="icon" type="image/ico" href="http://www.interfaceware.com/images/favicon.ico" />\n'..
   '<link rel="shortcut icon" type="image/ico" href="http://www.interfaceware.com/images/favicon.ico" />\n'..
   '<link rel="apple-touch-icon" href="apple-touch-icon-72x72-precomposed.png" />\n'..
   '<link rel="apple-touch-icon-precomposed" href="apple-touch-icon-72x72-precomposed.png" />\n'..
   '<script type="text/javascript" src="fogcache_static/prettify.js"></script>\n'..
   '<script type="text/javascript" src="fogcache_static/jquery-1.6.1.min.js"></script>\n'..
   '<script type="text/javascript" src="fogcache_static/colorboxmodal/jquery.colorbox-min.js"></script>\n'..
   '<script type="text/javascript" src="fogcache_static/treeview_2_0.js"></script>\n'..
   '<script type="text/javascript" src="tree_data.new.js?'..PageData.TreeHash..'"></script>\n'..
   '<script type="text/javascript" src="fogcache_static/bnw_toc.js"></script>\n'..
   '<script type="text/javascript" src="fogcache_static/searchtoggle.js"></script>\n'..
   '<script type="text/javascript">\n'..
   '   var ArticlePath = '..PageData.ArticlePath..';\n'..
   '</script>\n'..
   '<script>\n'..
   '   $(document).ready(function(){\n'..
   '     $(".example7").colorbox({iframe:true, innerWidth:670, innerHeight:465});\n'..
   '     $(".hdvideo").colorbox({iframe:true, innerWidth: 853, innerHeight:505});\n'..				
   '   });\n'..
   '</script>\n'..   
   '<script type="text/javascript">\n'..
   '   var _gaq = _gaq || [];\n'..
   '   _gaq.push([\'_setAccount\', \'UA-329140-1\']);\n'..
   '   _gaq.push([\'_trackPageview\']);\n'..
   '   (function() {\n'..
   '      var ga = document.createElement(\'script\'); ga.type = \'text/javascript\'; ga.async = true;\n'..
   '      ga.src = (\'https:\' == document.location.protocol ? \'https://ssl\' : \'http://www\') + \'.google-analytics.com/ga.js\';\n'..
   '      var s = document.getElementsByTagName(\'script\')[0]; s.parentNode.insertBefore(ga, s);\n'..
   '   })();\n'..
   '</script>\n'..
   
   ''.. -- inline custom css goes here
   '<style type="text/css">\n'..
   'body{\n'..
   '   background: #fafafa url("fogcache_static/images/bg-training-body.gif") repeat-x top left;\n'..
   '}\n'..
   '#bnw_toc_container {\n'..
   '}\n'..
   '#content {\n'..
   '   background-image: none;\n'..
   '}\n'..
   '</style>\n'..
   
   '</head>\n'..
   '<body>\n'..
   '<div id="navTopContainer">\n'..
   '<div id="navTop"><span style="display:none;" id="bnw_page_id">'..PageData.Id..'</span>\n'..
   --' |'.. PageData.NavHtml ..
   -- ' | <a href="'..PageData.EditLink..'">Edit</a>'..
   '</div>\n'..
   '</div>\n'..
   '<div id="header">\n'..
   '<div class="logo"><a href="'..PageData.StartPage..PageData.Suffix..'.html"><img class="logo" src="fogcache_static/images/interfaceware-training.gif"></a></div>\n'..
   '</div>\n'..
   '<div id="content">\n'..
   '<div class="inner_content">\n'..
   '<div class="left_content">\n'..

   ''.. -- search was here
   
   '<div id="bnw_toc_container">\n'..
   '<ul class="ifwareTreeview" id="bnw_toc">'..PageData.StaticTreeview..'</ul>\n'..
   '</div>\n'..
   '</div>\n'..
   '<div id="wiki-page-content">\n'..
   
   '<div class="breadcrumbs">\n'..
   '<table class="content-top"><tr><td class="content-top-nav">'..PageData.NavHtmlArrow..'</td><td valign="middle">'..
   PageData.CookieCrumbs..
      '</td><td class="content-top-edit"><a href="'..PageData.EditLink..'" style="color: lightgrey;">Edit</a></td></tr></table>'..
   '</div><!--breadcrumbs-->\n'..
   
   PageData.Content..'\n'..
   '<br style="clear:both;" />\n'..
   '<div style="text-align:left;">'..
   PageData.NavHtmlArrow..
   '</div>\n'..
   '</div>\n'..
   '<div id="wiki-page-footer">\n'..
   '<a href="http://wiki.interfaceware.com/589.html" class="powered"><span>Powered by FogBugz and Iguana</span></a>\n'..
   '</div>\n'..
   '<script type="text/javascript">\n'..
   '   piAId = \'3572\';\n'..
   '   piCId = \'8347\';\n'..	
   '   (function() {\n'..
   '      function async_load(){\n'..
   '         var s = document.createElement(\'script\'); s.type = \'text/javascript\';\n'..
   '         s.src = (\'https:\' == document.location.protocol ? \'https://pi\' : \'http://cdn\') + \'.pardot.com/pd.js\';\n'..
   '         var c = document.getElementsByTagName(\'script\')[0]; c.parentNode.insertBefore(s, c);\n'..
   '      }\n'..
   '      if(window.attachEvent) { window.attachEvent(\'onload\', async_load); }\n'..
   '      else { window.addEventListener(\'load\', async_load, false); }\n'..
   '   })();\n'..
   '</script>\n'..
   '</body>\n'..
   '</html>'

end
